# IllegalArgumentException Class Reference

Inherits RuntimeException.

List of all members.

## Detailed Description

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

## Public Member Functions

| IllegalArgumentException (const LogString &msg)
| IllegalArgumentException (const IllegalArgumentException &)
IllegalArgumentException & | operator= (const IllegalArgumentException &)

## Constructor & Destructor Documentation

IllegalArgumentException | ( | const LogString & | msg | ) |

IllegalArgumentException | ( | const IllegalArgumentException & |  | ) |

## Member Function Documentation

IllegalArgumentException& operator= | ( | const IllegalArgumentException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h